<%
' Definition der ADO Datentypen (DataTypeEnum)
Const adBinary = 128    ' Daten
Const adBoolean = 11    ' Boolean (True/False)
Const adChar = 129      ' Text
Const adCurrency = 6    ' Waehrung
Const adDate = 7        ' Datum
Const adDecimal = 14    ' Exakte Dezimalzahl
Const adDouble = 5      ' Fliesskommazahl hoher Genauigkeit
Const adInteger = 3     ' Ganze Zahl
Const adSingle = 4      ' Fliesskommazahl niedriger Genauigkeit

' Erstellen des Recordset Objektes
Set rs = CreateObject("ADODB.Recordset")

' Definition der Datenstruktur des Recordsets
'    rs.Fields.Append Name, Datentype, Laenge, Attribute
rs.Fields.Append "ID", adInteger
rs.Fields.Append "Name", adChar, 64
rs.Fields.Append "Notiz", adChar, 2048

' Oeffnen des Recordsets um Daten darin zu speichern
rs.Open

' Datensaetze in Recordset speichern
rs.AddNew
rs("ID") = 1
rs("Name") = "Christian" 
rs("Notiz") = "Dies ist eine sehr lange Notiz " & Space(900) & "!"

rs.AddNew 
rs("ID") = 2
rs("Name") = "Stefan" 
rs("Notiz") = "Dies ist eine weitere, sehr lange Notiz " & Space(900) & "!"

rs.AddNew 
rs("ID") = 3
rs("Name") = "Guenter" 
rs("Notiz") = "Dies ist eine kurze Notiz !"

' Zum 2. Datensatz gehen und alle Felder ausgeben:
Response.Write "Werte des zweiten Datensatzes:<br>" & VbCrLf
rs.AbsolutePosition = 2
Response.Write rs("ID") & " " & rs("Name") 
Response.Write "(" & rs("Notiz") & ")<br>" & VbCrLf
Response.Write "<br>" & VbCrLf

' Gesamtes Recordset ausgeben:
Response.Write "Inhalt des Recordsets:<br>" & VbCrLf
rs.MoveFirst
While Not rs.EOF
	Response.Write rs("ID") & " "
	Response.Write rs("Name") & "<br>" & VbCrLf
	rs.MoveNext
Wend
Response.Write "<br>" & VbCrLf

' Anzahl der Datensaetze:
Response.Write "Recordset enthaelt " & rs.RecordCount & " Datensaetze.<br>"
Response.Write "<br>" & VbCrLf


' Recordset sortieren und ausgeben
Response.Write "Recordset, sortiert nach Namen und ID:<br>" & VbCrLf
' Name absteigend (DESC) und ID aufsteigend (ASC) sortieren:
rs.Sort = "Name DESC, ID ASC"   

rs.MoveFirst
While Not rs.EOF
	Response.Write rs("ID") & " "
	Response.Write rs("Name") & "<br>" & VbCrLf
	rs.MoveNext
Wend

' Sortierung aufheben
rs.Sort = ""
Response.Write "<br>" & VbCrLf

' Recordset filtern und ausgeben
Response.Write "Gefiltertes Recordset:<br>" & VbCrLf
rs.Filter = "((ID > 1) AND (Name > 'G')) OR " & _
               "((Name LIKE '%ist%') AND (ID > 1))"

rs.MoveFirst
While Not rs.EOF
	Response.Write rs("ID") & " "
	Response.Write rs("Name") & "<br>" & VbCrLf
	rs.MoveNext
Wend

' Filter entfernen
rs.Filter = 0
Response.Write "<br>" & VbCrLf

' Finden eines Datensatzes und Lschen des selbigen:
Response.Write "Suchen des Datensatzes mit der ID = 2.<br>" & VbCrLf
rs.MoveFirst
rs.Find "ID = 2"
If Not rs.EOF Then
	' Datensatz gefunden, daher loeschen:
	rs.Delete
	rs.MoveFirst
	Response.Write "Datensatz geloescht.<br>" & VbCrLf
End If
Response.Write "<br>" & VbCrLf

' verbliebene Datensaetze ausgeben:
Response.Write "Verbliebene Datensaetze:<br>" & VbCrLf
rs.MoveFirst
While Not rs.EOF
	Response.Write rs("ID") & " "
	Response.Write rs("Name") & " ("
	Response.Write rs("Notiz") & ")<br>" & VbCrLf
	rs.MoveNext
Wend

' Recordset schliessen und Resourcen freigeben
rs.Close
Set rs = Nothing
%>

